iOS 8 FAQ

Official Content

Here some frequently asked questions about iOS 8

Q: Has iOS 8 been released?
A: YES! Apple released iOS 8, you may have the update already available on your phone

Q: Do my apps work on devices with iOS 8?
A: There are no known issues if they have been generated with GeneXus X Evolution 2 Upgrade 6GeneXus X Evolution 3 Upgrade 1 or higher.
Issues related to Date Picker and others have been fixed in those upgrades.

Q: What if they run on Iphone 6 or 6+ ?
A: if your apps have been generated with GeneXus X Evolution 2 Upgrade 6 or GeneXus X Evolution 3 Upgrade 1 they will scale as all legacy apps do on these devices.
To take advantage of the bigger screens you need GeneXus X Evolution 2 Upgrade 7, GeneXus X Evolution 3 Upgrade 2, or higher. (not available as of September, 2014). A preview of GeneXus X Evolution 3 Upgrade 2 is expected to be released in november.

Q: What iOS 8 specific features will support GeneXus?
A: Please attend this conference at the GX24 (material)

Q: May I compile using XCode 6 with iOS 8 SDK?
A: Only XCode 5.x and iOS 7.x SDK or lower is supported in GeneXus X Evolution 2 Upgrade 6 or GeneXus X Evolution 3 Upgrade 1 or prior.
XCode 6 with iOS 8 SDK is required in GeneXus X Evolution 2 Upgrade 7, GeneXus X Evolution 3 Upgrade 2, or higher.

Q: What if I'm prototyping with KBN?
A: As of September 2014, the KBN for X Evolution 3 has been updated to X Evolution 3 Upgrade 1 code base. The KBN for X Evolution 2 still corresponds to X Evolution 2 Upgrade 5 code base.

Q: Can I upload to the Store new apps generated with GeneXus X Evolution 2 Upgrade 6 or GeneXus X Evolution 3 Upgrade 1 or prior?
A: As stated here "...beginning February 1, 2015 new iOS apps submitted to the App Store must include 64-bit support and be built with the iOS 8 SDK. ...".
That means that as of February 1, 2015, new  apps are required to be built with GeneXus X Evolution 2 Upgrade 7 or GeneXus X Evolution 3 Upgrade 2 or higher. You can still update apps generating with previous versions.

See Also

Apple Requirements